### A free/open-source library for quantitative finance

Public Member Functions
VanillaSwingOption Class Reference

base option class More...

`#include <ql/instruments/vanillaswingoption.hpp>`

Inheritance diagram for VanillaSwingOption:
[legend]

List of all members.

## Public Member Functions

| VanillaSwingOption (const boost::shared_ptr< StrikedTypePayoff > &payoff, const boost::shared_ptr< SwingExercise > &ex, Size minExerciseRights, Size maxExerciseRights)
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const

## Detailed Description

base option class

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.